package com.ho.business.service;

import com.ho.business.entity.RepairFile;
import com.ho.business.entity.StationNotepad;
import com.ho.business.vo.req.StationNotepadReq;
import com.ho.business.vo.req.StationRepairReqVo;
import com.ho.business.vo.resp.StationRepairRespVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * @author wp
 * @desc:
 * @DateTime: 2024/10/11 11:12
 */
public interface StationNoteAndRepairService {

    void addStationNote(StationNotepad stationNotepad);

    void deleteStationNote( Integer id);

    void updateStationNote(StationNotepad stationNotepad);

    List<StationNotepad> selectStationNote(StationNotepadReq stationNotepadReq);

    void addStationRepair(StationRepairReqVo stationRepairReqVo);

    void deleteStationRepair(Integer id,String bucket);

    void updateStationRepair(StationRepairReqVo stationRepairReqVo);

    List<StationRepairRespVo> selectStationRepair(StationRepairReqVo stationRepairReqVo);

    RepairFile uploadRepairFile(MultipartFile file,String bucket);


}
